# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
bin = File.expand_path('../bin', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sokoban/version'

Gem::Specification.new do |spec|
  spec.name          = "sokoban"
  spec.version       = Sokoban::VERSION
  spec.authors       = ["Boohbah"]
  spec.email         = ["boohbah@gmail.com"]
  spec.description   = %q{A classic warehouse puzzle game by Hiroyuki Imabayashi}
  spec.summary       = %q{A classic warehouse puzzle game}
  spec.homepage      = "http://rubygems.org/gems/sokoban"
  spec.license       = "GPL"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib", "bin"]

  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'bundler', '~> 1.3'
end
